diff --git a/copyparty/web/tl/ukr.js b/copyparty/web/tl/ukr.js
index 9c7b54d8..4ca0cdec 100644
--- a/copyparty/web/tl/ukr.js
+++ b/copyparty/web/tl/ukr.js
@@ -5,7 +5,7 @@ Ls.ukr = {
 	"tt": "Українська",
 
 	"cols": {
-		"c": "кнопки дій",
+		"!": "кнопки дій",
 		"dur": "тривалість",
 		"q": "якість / бітрейт",
 		"Ac": "аудіо кодек",
@@ -14,7 +14,7 @@ Ls.ukr = {
 		"Ahash": "контрольна сума аудіо",
 		"Vhash": "контрольна сума відео",
 		"Res": "роздільність",
-		"T": "тип файлу",
+		"Ext": "тип файлу",
 		"aq": "якість аудіо / бітрейт",
 		"vq": "якість відео / бітрейт",
 		"pixfmt": "підвибірка / структура пікселів",
@@ -33,7 +33,7 @@ Ls.ukr = {
 			["G", "перемкнути список / сітку"],
 			["T", "перемкнути мініатюри / іконки"],
 			["⇧ A/D", "розмір мініатюр"],
-			["ctrl-K", "видалити вибране"],
+			["ctrl-K/Del", "видалити вибране"],
 			["ctrl-X", "вирізати до буфера"],
 			["ctrl-C", "копіювати до буфера"],
 			["ctrl-V", "вставити (перемістити/копіювати) сюди"],
@@ -107,9 +107,9 @@ Ls.ukr = {
 	"ht_and": " і ",
 
 	"goh": "панель керування",
-	"gop": 'попередній сусід">назад',
-	"gou": 'батьківська папка">вгору',
-	"gon": 'наступна папка">далі',
+	"gop": 'попередній сусід',
+	"gou": 'батьківська папка',
+	"gon": 'наступна папка',
 	"logout": "Вийти ",
 	"login": "увійти", //m
 	"access": " доступ",
@@ -157,7 +157,7 @@ Ls.ukr = {
 	"ut_u2ts": "копіювати часову мітку останньої зміни$Nз вашої файлової системи на сервер\">📅",
 	"ut_ow": "перезаписати існуючі файли на сервері?$N🛡️: ніколи (замість цього створить нове ім'я файлу)$N🕒: перезаписати, якщо файл на сервері старіший за ваш$N♻️: завжди перезаписувати, якщо файли відрізняються$N⏭️: безумовно пропускати всі наявні файли", //m
 	"ut_mt": "продовжувати хешування інших файлів під час завантаження$N$Nможливо, вимкніть, якщо ваш CPU або HDD є вузьким місцем",
-	"ut_ask": 'запитати підтвердження перед початком завантаження">💭',
+	"ut_ask": 'запитати підтвердження перед початком завантаження',
 	"ut_pot": "покращити швидкість завантаження на повільних пристроях$Nроблячи інтерфейс менш складним",
 	"ut_srch": "не завантажувати, а перевірити, чи файли вже $N існують на сервері (сканує всі папки, які ви можете читати)",
 	"ut_par": "призупинити завантаження, встановивши 0$N$Nзбільшіть, якщо ваше з'єднання повільне / висока затримка$N$Nзалишіть 1 в локальній мережі або якщо HDD сервера є вузьким місцем",
@@ -288,9 +288,9 @@ Ls.ukr = {
 	"ml_drc": "компресор динамічного діапазону",
 	"ml_ss": "пропускати тишу", //m
 
-	"mt_loop": "зациклити/повторити одну пісню\">🔁",
+	"mt_loop": "зациклити/повторити одну пісню",
 	"mt_one": "зупинити після однієї пісні\">1️⃣",
-	"mt_shuf": "перемішати пісні в кожній папці\">🔀",
+	"mt_shuf": "перемішати пісні в кожній папці",
 	"mt_aplay": "автовідтворення, якщо є ID пісні в посиланні, по якому ви клацнули для доступу до сервера$N$Nвідключення цього також зупинить оновлення URL сторінки з ID пісень під час відтворення музики, щоб запобігти автовідтворенню, якщо ці налаштування втрачені, але URL залишається\">a▶",
 	"mt_preload": "почати завантаження наступної пісні ближче до кінця для безперервного відтворення\">preload",
 	"mt_prescan": "перейти до наступної папки перед тим, як остання пісня$Nзакінчиться, підтримуючи веб-браузер у робочому стані$Nщоб він не зупинив відтворення\">nav",
@@ -305,7 +305,7 @@ Ls.ukr = {
 	"mt_follow": "тримати трек, що відтворюється, у полі зору\">🎯",
 	"mt_compact": "компактні елементи керування\">⟎",
 	"mt_uncache": "очистити кеш &nbsp;(спробуйте це, якщо ваш браузер закешував$Nпошкоджену копію пісні, тому відмовляється її відтворювати)\">uncache",
-	"mt_mloop": "зациклити відкриту папку\">🔁 loop",
+	"mt_mloop": "зациклити відкриту папку",
 	"mt_mnext": "завантажити наступну папку і продовжити\">📂 next",
 	"mt_mstop": "зупинити відтворення\">⏸ stop",
 	"mt_cflac": "конвертувати flac / wav в {0}\">flac",
diff --git a/copyparty/web/tl/vie.js b/copyparty/web/tl/vie.js
index e47cd04e..476fbcda 100644
--- a/copyparty/web/tl/vie.js
+++ b/copyparty/web/tl/vie.js
@@ -2,7 +2,7 @@ Ls.vie = {
 	"tt": "Tiếng Việt",
 
 	"cols": {
-		"c": "nút hành động",
+		"!": "nút hành động",
 		"dur": "thời lượng",
 		"q": "chất lượng / bitrate",
 		"Ac": "codec âm thanh",
@@ -11,7 +11,7 @@ Ls.vie = {
 		"Ahash": "checksum âm thanh",
 		"Vhash": "checksum video",
 		"Res": "độ phân giải",
-		"T": "loại tệp",
+		"Ext": "loại tệp",
 		"aq": "chất lượng âm thanh / bitrate",
 		"vq": "chất lượng video / bitrate",
 		"pixfmt": "subsampling / pixel structure",
@@ -30,7 +30,7 @@ Ls.vie = {
 			["G", "chuyển đổi chế độ xem danh sách / lưới"],
 			["T", "chuyển đổi ảnh thu nhỏ / biểu tượng"],
 			["⇧ A/D", "kích thước ảnh thu nhỏ"],
-			["ctrl-K", "xoá mục đã chọn"],
+			["ctrl-K/Del", "xoá mục đã chọn"],
 			["ctrl-X", "cắt mục đã chọn vào bảng nhớ tạm"],
 			["ctrl-C", "sao chép mục đã chọn vào bảng nhớ tạm"],
 			["ctrl-V", "dán (di chuyển/sao chép) tại đây"],
@@ -102,9 +102,9 @@ Ls.vie = {
 	"ht_and": " và ",
 
 	"goh": "bảng điều khiển",
-	"gop": 'thư mục trước">trước',
-	"gou": 'thư mục cha">lên',
-	"gon": 'thư mục sau">tiếp',
+	"gop": 'thư mục trước',
+	"gou": 'thư mục cha',
+	"gon": 'thư mục sau',
 	"logout": "Đăng xuất ",
 	"login": "Đăng nhập",
 	"access": "quyền truy cập",
@@ -154,7 +154,7 @@ Ls.vie = {
 	"ut_u2ts": "sao chép dấu thời gian chỉnh sửa cuối$Ntừ hệ thống tệp của bạn lên máy chủ\">📅",
 	"ut_ow": "ghi đè các tệp đã có trên máy chủ?$N🛡️: không bao giờ (sẽ tạo tên tệp mới)$N🕒: ghi đè nếu tệp trên máy chủ cũ hơn$N♻️: luôn ghi đè nếu hai tệp khác nhau$N⏭️: bỏ qua vô điều kiện tất cả các tệp hiện có", //m
 	"ut_mt": "tiếp tục hash các tệp khác trong khi tải lên$N$NCó thể tắt nếu CPU hoặc HDD của bạn bị nghẽn",
-	"ut_ask": 'yêu cầu xác nhận trước khi bắt đầu tải lên">💭',
+	"ut_ask": 'yêu cầu xác nhận trước khi bắt đầu tải lên',
 	"ut_pot": "cải thiện tốc độ tải lên trên các thiết bị chậm$Nbằng cách đơn giản hoá giao diện người dùng",
 	"ut_srch": "không tải lên, chỉ kiểm tra xem tệp$Nđã tồn tại trên máy chủ hay chưa (sẽ quét toàn bộ thư mục bạn có quyền đọc)",
 	"ut_par": "tạm dừng tải lên bằng cách đặt thành 0$N$NTăng lên nếu kết nối chậm hoặc độ trễ cao$N$NGiữ ở mức 1 khi dùng LAN hoặc nếu ổ cứng máy chủ bị nghẽn",
@@ -292,9 +292,9 @@ Ls.vie = {
 	"ml_drc": "bộ nén dải động",
 	"ml_ss": "bỏ qua khoảng lặng", //m
 
-	"mt_loop": "lặp lại một bài\">🔁",
+	"mt_loop": "lặp lại một bài",
 	"mt_one": "dừng sau một bài\">1️⃣",
-	"mt_shuf": "trộn các bài trong thư mụcr\">🔀",
+	"mt_shuf": "trộn các bài trong thư mụcr",
 	"mt_aplay": "tự động phát nếu có ID bài trong link bạn nhấp để truy cập máy chủ$N$Ntắt tuỳ chọn sẽ ngăn URL của trang cập nhật theo ID bài khi phát nhạc, tránh tự động phát nếu cài đặt mất nhưng URL còn\">a▶",
 	"mt_preload": "bắt đầu tải bài hát tiếp theo khi gần hết bài để phát liền mạch\">preload",
 	"mt_prescan": "chuyển đến thư mục tiếp theo trước khi bài cuối cùng $Nkết thúc, giúp giữ trình duyệt hoạt động $N và không dừng phát nhạc\">nav",
@@ -309,7 +309,7 @@ Ls.vie = {
 	"mt_follow": "giữ bài đang phát trong tầm nhìn\">🎯",
 	"mt_compact": "giao diện điều khiển thu gọn\">⟎",
 	"mt_uncache": "xoá bộ nhớ đệm &nbsp;(thử nếu trình duyệt lưu trữ đệm $Nmột bản nhạc bị lỗi và không thể phát)\">uncache",
-	"mt_mloop": "lặp trong thư mục đang mở\">🔁 loop",
+	"mt_mloop": "lặp trong thư mục đang mở",
 	"mt_mnext": "tải thư mục tiếp theo và tiếp tục\">📂 next",
 	"mt_mstop": "dừng phát\">⏸ stop",
 	"mt_cflac": "chuyển flac / wav sang {0}\">flac",
diff --git a/copyparty/web/up2k.js b/copyparty/web/up2k.js
index 4750765b..7edac231 100644
--- a/copyparty/web/up2k.js
+++ b/copyparty/web/up2k.js
@@ -50,8 +50,21 @@ catch (ex) {
         up2k = up2k_init(false);
     }
     catch (ex) {
+        ebi('h_up2kcfg').style.display = 
+        ebi('u2btn_ct').style.display = 
+        ebi('u2c3t').style.display = 
+        ebi('up_info').style.display = 
+        ebi('opa_up').style.display = 
+            'none'
+
+        ebi('uq_up').onclick = function(){
+            modaltoggle('bup', true);
+            ebi('bup_btn').click();
+        }
+
         console.log('up2k init failed:', ex);
-        toast.err(10, 'could not initialize up2k\n\n' + basenames(ex));
+        toast.err(3, 'could not initialize up2k\n\n' + basenames(ex));
+
     }
 }
 treectl.onscroll();
@@ -826,6 +839,7 @@ function up2k_init(subtle) {
 
     var loading_deps = false;
     function init_deps() {
+        console.log('up2k init deps');
         if (!loading_deps && !got_deps()) {
             var fn = 'sha512.' + sha_js + '.js',
                 m = L.u_https1 + ' <a href="' + (location + '').replace(':', 's:') + '">' + L.u_https2 + '</a> ' + L.u_https3;
@@ -871,7 +885,7 @@ function up2k_init(subtle) {
         return false;
     }
 
-    setmsg(suggest_up2k, 'msg');
+    //setmsg(suggest_up2k, 'msg');
 
     var u2szs = u2sz.split(','),
         u2sz_min = parseInt(u2szs[0]),
@@ -904,7 +918,9 @@ function up2k_init(subtle) {
     uc.ow = parseInt(sread('u2ow', ['0', '1', '2', '3']) || u2ow);
     uc.owt = ['🛡️', '🕒', '♻️', '⏭️'];
     function set_ow() {
-        QS('label[for="u2ow"]').innerHTML = uc.owt[uc.ow];
+        var lbls = QSA('label[for="u2ow"]');
+        for(var i=0; i<lbls.length; i++)
+            lbls[i].innerHTML = uc.owt[uc.ow];
         ebi('u2ow').checked  = true; //cosmetic
     }
     ebi('u2ow').onclick = function (e) {
@@ -1015,7 +1031,7 @@ function up2k_init(subtle) {
 
         modal.confirm(L.u_nav_m, uf, ud, null, L.u_nav_b);
     }
-    ebi('u2btn').onclick = nav;
+    ebi('uq_up').onclick = ebi('u2btn').onclick = nav;
 
     var nenters = 0;
     function ondrag(e) {
@@ -1054,6 +1070,20 @@ function up2k_init(subtle) {
     function onoverbtn(e) {
         return onovercmn(this, e, true);
     }
+    function checkDropMode(){
+        if(ebi('fsearch').checked){
+            ebi('srch_zd').style.display = '';
+            ebi('up_zd').style.display = 'none';
+            ebi('srch_dz').style.display = '';
+            ebi('up_dz').style.display = 'none';
+        }
+        else{
+            ebi('srch_zd').style.display = 'none';
+            ebi('up_zd').style.display = '';
+            ebi('srch_dz').style.display = 'none';
+            ebi('up_dz').style.display = '';
+        }
+    }
     function onovercmn(self, e, btn) {
         try {
             var ok = false, dt = e.dataTransfer.types;
@@ -1066,7 +1096,7 @@ function up2k_init(subtle) {
                         if (toast.txt == L.u_uri)
                             toast.hide();
                     }
-                    else
+                    else if (!window.drag || !drag.no_warn)
                         return toast.inf(10, L.u_uri) || true;
                 }
 
@@ -1087,6 +1117,7 @@ function up2k_init(subtle) {
         if (btn)
             return;
 
+        checkDropMode();
         clmod(ebi('drops'), 'vis', 1);
         var v = self.getAttribute('v');
         if (v)
@@ -1100,6 +1131,7 @@ function up2k_init(subtle) {
             clmod(ebi(v), 'hl');
 
         if (--nenters <= 0) {
+            checkDropMode();
             clmod(ebi('drops'), 'vis');
             clmod(ebi('up_dz'), 'hl');
             clmod(ebi('srch_dz'), 'hl');
@@ -1158,10 +1190,10 @@ function up2k_init(subtle) {
         ev(e);
         nenters = 0;
         offdrag.call(this);
-        var dz = this && this.getAttribute('id');
-        if (!dz && e && e.clientY)
-            // cuo2duo fallback
-            dz = e.clientY < window.innerHeight / 2 ? 'up_dz' : 'srch_dz';
+        // var dz = this && this.getAttribute('id');
+        // if (!dz && e && e.clientY)
+        //     // cuo2duo fallback
+        //     dz = e.clientY < window.innerHeight / 2 ? 'up_dz' : 'srch_dz';
 
         var err = this.getAttribute('err');
         if (err)
@@ -1169,11 +1201,11 @@ function up2k_init(subtle) {
 
         toast.inf(0, L.u_scan);
 
-        if ((dz == 'up_dz' && uc.fsearch) || (dz == 'srch_dz' && !uc.fsearch))
-            tgl_fsearch();
+        // if ((dz == 'up_dz' && uc.fsearch) || (dz == 'srch_dz' && !uc.fsearch))
+        //     tgl_fsearch();
 
-        if (!QS('#op_up2k.act'))
-            goto('up2k');
+        if(!uc.fsearch)
+            up2k.init_deps();
 
         var files,
             is_itemlist = false;
@@ -1978,7 +2010,7 @@ function up2k_init(subtle) {
             ng = pvis.ctr.ng,
             spd = Math.floor(st.bytes.finished / st.time.busy),
             suf = '\n\n{0} @ {1}/s'.format(shumantime(st.time.busy), humansize(spd)),
-            t = uc.ask_up ? 0 : 10;
+            t = 10; // uc.ask_up ? 0 : 10;
 
         console.log('toast', ok, ng);
 
@@ -3019,41 +3051,6 @@ function up2k_init(subtle) {
     ///   config ui
     //
 
-    function onresize(e) {
-        // 10x faster than matchMedia('(min-width
-        var bar = ebi('ops'),
-            wpx = window.innerWidth,
-            fpx = parseInt(getComputedStyle(bar)['font-size']),
-            wem = wpx * 1.0 / fpx,
-            wide = wem > 57 ? 'w' : '',
-            parent = ebi(wide ? 'u2btn_cw' : 'u2btn_ct'),
-            btn = ebi('u2btn');
-
-        if (btn.parentNode !== parent) {
-            parent.appendChild(btn);
-            ebi('u2conf').className = ebi('u2cards').className = ebi('u2etaw').className = wide;
-        }
-
-        wide = wem > 86 ? 'ww' : wide;
-        parent = ebi(wide == 'ww' ? 'u2c3w' : 'u2c3t');
-        var its = [ebi('u2etaw'), ebi('u2cards')];
-        if (its[0].parentNode !== parent) {
-            ebi('u2conf').className = wide;
-            for (var a = 0; a < 2; a++) {
-                parent.appendChild(its[a]);
-                its[a].className = wide;
-            }
-        }
-    }
-    onresize100.add(onresize, true);
-
-    if (MOBILE) {
-        // android-chrome wobbles for a bit; firefox / iOS-safari are OK
-        setTimeout(onresize, 20);
-        setTimeout(onresize, 100);
-        setTimeout(onresize, 500);
-    }
-
     var o = QSA('#u2conf .c *[tt]');
     for (var a = o.length - 1; a >= 0; a--) {
         o[a].parentNode.getElementsByTagName('input')[0].setAttribute('tt', o[a].getAttribute('tt'));
@@ -3284,7 +3281,10 @@ function up2k_init(subtle) {
 
         try {
             clmod(ebi('u2c3w'), 's', !can_write);
-            QS('label[for="fsearch"]').style.display = QS('#fsearch').style.display = fixed ? 'none' : '';
+            QS('#fsearch').style.display = fixed ? 'none' : '';
+            var lbls = QSA('label[for="fsearch"]');
+            for(var i=0; i<lbls.length; i++)
+                lbls[i].style.display = fixed ? 'none' : '';
         }
         catch (ex) { }
 
@@ -3293,6 +3293,7 @@ function up2k_init(subtle) {
                 desc = uc.fsearch ? L.ul_btns : L.ul_btnu;
 
             clmod(ebi('op_up2k'), 'srch', uc.fsearch);
+            clmod(ebi('u2conf'), 'srch', uc.fsearch);
             ebi('u2bm').innerHTML = ico + '&nbsp; <sup>' + desc + '</sup>';
         }
         catch (ex) { }
@@ -3308,7 +3309,6 @@ function up2k_init(subtle) {
 
         draw_turbo();
         draw_life();
-        onresize();
     }
 
     function apply_flag_cfg() {
@@ -3440,8 +3440,8 @@ function warn_uploader_busy(e) {
 tt.init();
 favico.init();
 ebi('ico1').onclick = function () {
-    var a = favico.txt == this.textContent;
-    swrite('icot', a ? 'c' : this.textContent);
+    var a = favico.txt == '🎉';
+    swrite('icot', a ? 'c' : '🎉');
     swrite('icof', a ? 'fc5' : '000');
     swrite('icob', a ? '222' : '');
     favico.init();
diff --git a/copyparty/web/util.js b/copyparty/web/util.js
index 8870f22e..c3aa1fe9 100644
--- a/copyparty/web/util.js
+++ b/copyparty/web/util.js
@@ -1314,8 +1314,12 @@ function bcfg_upd_ui(name, val) {
     if (!o)
         return val;
 
-    if (o.getAttribute('type') == 'checkbox')
+    if (o.getAttribute('type') == 'checkbox'){
         o.checked = val;
+        var lbls = QSA('label[for="' + o.id +'"]');
+        for(var i=0; i<lbls.length; i++)
+            clmod(lbls[i], 'on', val);
+    }
     else if (o) {
         clmod(o, 'on', val);
     }
@@ -1580,6 +1584,18 @@ var tt = (function () {
         return el.getAttribute('tt');
     };
 
+    r.parse = function(msg){
+        if(msg == null || msg.length == 0)
+            return msg;
+        if (msg.startsWith('`')) {
+            var x = false;
+            msg = msg.slice(1);
+            while (msg.indexOf('`') + 1)
+                msg = msg.replace('`', (x = !x) ? '<code>' : '</code>');
+        }
+        return msg.replace(/\$N/g, "<br />");
+    }
+
     r.show = function () {
         clearTimeout(tev);
         if (r.skip) {
@@ -1590,13 +1606,6 @@ var tt = (function () {
         if (!msg)
             return;
 
-        if (msg.startsWith('`')) {
-            var x = false;
-            msg = msg.slice(1);
-            while (msg.indexOf('`') + 1)
-                msg = msg.replace('`', (x = !x) ? '<code>' : '</code>')
-        }
-
         r.el = this;
         var pos = this.getBoundingClientRect(),
             dir = this.getAttribute('ttd') || '',
@@ -1612,7 +1621,7 @@ var tt = (function () {
         r.tt.style.left = '0';
         r.tt.style.top = '0';
 
-        r.tt.innerHTML = msg.replace(/\$N/g, "<br />");
+        r.tt.innerHTML = r.parse(msg);
         r.el.addEventListener('mouseleave', r.hide);
         window.addEventListener('scroll', r.hide);
         clmod(r.tt, 'show', 1);
@@ -1633,6 +1642,10 @@ var tt = (function () {
 
     r.hide = function (e) {
         //ev(e);  // eats checkbox-label clicks
+
+        r.show.bind(null);
+        r.el = null;
+
         clearTimeout(tev);
         window.removeEventListener('scroll', r.hide);
 
@@ -1806,7 +1819,7 @@ var toast = (function () {
             setcvar('--tmstep', Math.floor(sec * 20));
             html += '<div id="toastt"></div>';
         }
-        obj.innerHTML = html + '<a href="#" id="toastc">x</a><div id="toastb">' + lf2br(txt) + '</div>';
+        obj.innerHTML = html + '<a href="#" id="toastc">✕</a><div id="toastb">' + lf2br(txt) + '</div>';
         obj.className = cl;
         sec += obj.offsetWidth;
         obj.className += ' vis';
@@ -2254,7 +2267,7 @@ var favico = (function () {
 
     var gx = function (txt) {
         return (svg_decl +
-            '<svg version="1.1" viewBox="0 0 64 64" xmlns="http://www.w3.org/2000/svg">\n' +
+            '<svg version="1.1" viewBox="0 0 70 70" xmlns="http://www.w3.org/2000/svg">\n' +
             (r.bg ? '<rect width="100%" height="100%" rx="16" fill="#' + r.bg + '" />\n' : '') +
             '<text x="50%" y="55%" dominant-baseline="middle" text-anchor="middle"' +
             ' font-family="sans-serif" font-weight="bold" font-size="64px"' +
@@ -2291,6 +2304,11 @@ var favico = (function () {
             document.head.appendChild(r.tag);
         }
         r.tag.href = 'data:image/svg+xml;base64,' + b64;
+
+        var fiop = ebi('favico_onpage');
+        if(fiop != null){
+            fiop.innerHTML = svg ? atob(b64) : gx(r.txt);
+        }
     };
 
     r.init = function () {
@@ -2304,8 +2322,7 @@ var favico = (function () {
         scfg_bind(r, 'bg', 'icob', bg, r.upd);
         r.upd();
     };
-
-    r.to = setTimeout(r.init, 100);
+    r.init();
     return r;
 })();
 
diff --git a/scripts/make-sfx.sh b/scripts/make-sfx.sh
index af4060b7..3f8a7434 100755
--- a/scripts/make-sfx.sh
+++ b/scripts/make-sfx.sh
@@ -406,6 +406,16 @@ git describe --tags >/dev/null 2>/dev/null && {
 	}
 
 	dt="$(git log -1 --format=%cd --date=short | sed -E 's/-0?/, /g')"
+}
+
+[ "$PRTY_SFX_VER" ] && {
+	# PRTY_SFX_VER='1.20.14-5-g139ef185' PRTY_SFX_DT='2026, 5, 8'
+	# PRTY_SFX_VER='2026-0510-2303' PRTY_SFX_DT='2026, 5, 10'
+	ver="$PRTY_SFX_VER"
+	dt="$PRTY_SFX_DT"
+}
+
+[ "$ver" ] && {
 	printf 'git %3s: \033[36m%s\033[0m\n' ver "$ver" dt "$dt"
 	sed -ri '
 		s/^(VERSION =)(.*)/#\1\2\n\1 ('"$t_ver"')/;
diff --git a/scripts/tl.js b/scripts/tl.js
index cfee97b8..06013c0a 100644
--- a/scripts/tl.js
+++ b/scripts/tl.js
@@ -37,7 +37,7 @@ Ls.hmn = {
 	"tt": "Hymmnos",
 
 	"cols": {
-		"c": "action buttons",
+		"!": "action buttons",
 		"dur": "duration",
 		"q": "quality / bitrate",
 		"Ac": "audio codec",
@@ -46,7 +46,7 @@ Ls.hmn = {
 		"Ahash": "audio checksum",
 		"Vhash": "video checksum",
 		"Res": "resolution",
-		"T": "filetype",
+		"Ext": "filetype",
 		"aq": "audio quality / bitrate",
 		"vq": "video quality / bitrate",
 		"pixfmt": "subsampling / pixel structure",
@@ -65,7 +65,7 @@ Ls.hmn = {
 			["G", "toggle list / grid view"],
 			["T", "toggle thumbnails / icons"],
 			["⇧ A/D", "thumbnail size"],
-			["ctrl-K", "delete selected"],
+			["ctrl-K/Del", "delete selected"],
 			["ctrl-X", "cut selection to clipboard"],
 			["ctrl-C", "copy selection to clipboard"],
 			["ctrl-V", "paste (move/copy) here"],
@@ -139,9 +139,9 @@ Ls.hmn = {
 	"ht_and": " and ",
 
 	"goh": "control-panel",
-	"gop": 'previous sibling">prev',
-	"gou": 'parent folder">up',
-	"gon": 'next folder">next',
+	"gop": 'previous sibling',
+	"gou": 'parent folder',
+	"gon": 'next folder',
 	"logout": "Logout ",
 	"login": "Login",
 	"access": " access",
@@ -189,7 +189,7 @@ Ls.hmn = {
 	"ut_u2ts": "copy the last-modified timestamp$Nfrom your filesystem to the server\">📅",
 	"ut_ow": "overwrite existing files on the server?$N🛡️: never (will generate a new filename instead)$N🕒: overwrite if server-file is older than yours$N♻️: always overwrite if the files are different$N⏭️: unconditionally skip all existing files",
 	"ut_mt": "continue hashing other files while uploading$N$Nmaybe disable if your CPU or HDD is a bottleneck",
-	"ut_ask": 'ask for confirmation before upload starts">💭',
+	"ut_ask": 'ask for confirmation before upload starts',
 	"ut_pot": "improve upload speed on slow devices$Nby making the UI less complex",
 	"ut_srch": "don't actually upload, instead check if the files already $N exist on the server (will scan all folders you can read)",
 	"ut_par": "pause uploads by setting it to 0$N$Nincrease if your connection is slow / high latency$N$Nkeep it 1 on LAN or if the server HDD is a bottleneck",
@@ -237,12 +237,12 @@ Ls.hmn = {
 	"u_nav_m": '<h6>aight, what do you have?</h6><code>Enter</code> = Files (one or more)\n<code>ESC</code> = One folder (including subfolders)',
 	"u_nav_b": '<a href="#" id="modal-ok">Files</a><a href="#" id="modal-ng">One folder</a>',
 
-	"cl_opts": "switches",
+	"cl_opts": "general",
 	"cl_hfsz": "filesize",
 	"cl_themes": "theme",
 	"cl_langs": "language",
 	"cl_ziptype": "folder download",
-	"cl_uopts": "up2k switches",
+	"cl_uopts": "upload",
 	"cl_favico": "favicon",
 	"cl_bigdir": "big dirs",
 	"cl_hsort": "#sort",
@@ -317,7 +317,7 @@ Ls.hmn = {
 	"ml_drc": "dynamic range compressor",
 	"ml_ss": "skip silence",
 
-	"mt_loop": "loop/repeat one song\">🔁",
+	"mt_loop": "loop/repeat one song",
 	"mt_one": "stop after one song\">1️⃣",
 	"mt_shuf": "shuffle the songs in each folder\">🔀",
 	"mt_aplay": "autoplay if there is a song-ID in the link you clicked to access the server$N$Ndisabling this will also stop the page URL from being updated with song-IDs when playing music, to prevent autoplay if these settings are lost but the URL remains\">a▶",
@@ -547,6 +547,7 @@ Ls.hmn = {
 	"s_f1": "name contains &nbsp; (negate with -nope)",
 	"s_t1": "tags contains &nbsp; (^=start, end=$)",
 	"s_a1": "specific metadata properties",
+	"s_dir": "search this folder",
 
 	"md_eshow": "cannot render ",
 	"md_off": "[📜<em>readme</em>] disabled in [⚙️] -- document hidden",
